Subject: MS-Window as Unix X-terminal

From: Xiaoming Zheng <[email-masked]>
Date: Thu, 8 Feb 1996 08:52:34 +1100

Hello everyone:

I used Eudora e-mail yestoday and attached a summary file
on MS-Window as Unix X-terminal. Since so many people want
me to re-submit it by using Unix system. Here we are:
-------------------------------------------------------------------------

My original question:   

Hello, everyone:

Can anyone tell me how to make a MS-Window on pc
to act as a Unix X-terminal?

Many thanks!

--------------------------------------------------------------------------   
   
   X-Windows isn't unique to Unix.  You'll need to obtain an X-Server for
MS-Windows.  eXceed is one (I think, commercial).  There are several
others- if you look at the X-windows FAQ you should find several names and
descriptions.
If you run linux or freebsd on your PC, there's XFree86 (free).

   If you just need the text capabilities, any vt100 emulator is pretty
close to an xterm, but I imagine you need graphics, which means purchasing
Xserver software.

   For apples, there's MacX.  For VMS.. X exists, but I don't know the name.

http://www.cis.ohio-state.edu/hypertext/faq/usenet/top.html
http://www.cis.ohio-state.edu/hypertext/faq/usenet/x-faq/top.html
http://www.cis.ohio-state.edu/hypertext/faq/usenet/x-faq/part4/faq-doc-4.html

   The last specifically answers the question.

-Drake Diedrich
[email-masked]
----------------------------------------------------------------------------

You need X-server software. There is free demo software at
http:/www.wpine.com and http://www.starnet.com you can try. 
Those are both for MS Windows.

Walter Polkosnik
[email-masked]
--------------------------------------------------------------------------- 

There are a number of ways to do so...
you can use hummingbird eXceed or if you are connected to a sun server, 
solarnet pcx works well..

better still, if you intend to display a modelling program on your pc, 
running from a unix machine, change to linux!..it works wonders here..

Sharifuddin Mohd Zain
Jabatan Kimia,
University Malaya.
[email-masked]
---------------------------------------------------------------------------

Yes. In addition to the PC, you will also need either (1) an ethernet card,
so that you can plug the computer into a local network or (2) a fast
modem (at least 14.4 kbaud) and a dail-up SLIP (serial line internet
protocol) provider.  If you are already configured and running on a network,
then all you need are two pieces of software, a TCP/IP stack and an X-Server.

There are a number of commercial TCP/IP stacks. There is also a shareware
program called Trumpet Winsock, which will do the trick.

Technically, you don't want an X-terminal program, you want an X-Server,
so that you can display on your PC one or more X-terminal clients from a
remote workstation. Again, there are a number of commercial programs available.
Probably the most economical is Micro-X Windows, from Starnet communications.
I think the cost is about $150. There is also a free demo version available.

You can find both Trumpet Winsock and the Micro-X in the the Windows
archive sites (I think wuarchive.wustl.edu would be a good place to
look, but there might be a mirror site that is closer to you).

I use Trumpet Winsock and Micro-X at work (over and ethernet card) and
at home (via a SLIP connection) and am satisfied with the products. Note,
however, that I don't try to do any elaborate 3d interactive graphics from
these PC's.  From work, I run gnuplot, Xmol, and display the occasional
ray-traced image. From home, I try to limit it to running gnuplot. Perhaps
someone on the list has made a systematic comparison of the graphical
capabilities of several of the commercial X-Servers. If so, please forward
me a copy of their results.

     Thanks and good luck,
Mike Wilson
 _____________________________________________________________________________
 Mike Wilson, MS 239-4         [email-masked]     (415) 604-5496 day
 NASA Ames Research Center                                  (415) 604-1088 fax
 Moffett Field, CA   94035                                  (510) 523-7790 eve
----------------------------------------------------------------------------------
Dear Xiaoming,

I think you have got 2 options to use your pc as an X-terminal.  
They are :

1) Use the freely available LINUX (unix clone) o/s.  This means 
repartitioning your hard disk drive and needing to reboot the machine into
linux from your usual operating system.

2) Buy Vista eXceed or PC-Xware.  To use these you'll need a transport
e.g. Lan Workplace for tcp/ip etc.

The choice is up to you - depending on how you wish to use the
PC and what software you are/want to run.

Hope this helps,
	Neil

Neil Hoare
[email-masked]
Research Associate
University of Portsmouth
U.K. 
----------------------------------------------------------------------------

Zheng,
	You need X-window software.  Here is a summary I prepared a few
months ago when I investigated doing the same thing.  What is not evident
from the summary is that the software is expensive; the cheapest I found was
$139 per copy.

Here is the promised summary of responses on the topic of 
X-windows clients.  Last week I asked the question:

>I have recently received an NSF-ILI grant for the purchase of SGI
>workstations that will be used to introduce molecular modeling into 
>the undergraduate and graduate curricula.  Our plan is to run SPARTAN, 
>PCModel, and MacroModel on the workstations; all are available as 
>X-applications.  Then we will provide student access from a Department 
>PC cluster by running X-terminal emulators on the PCs.

>I would be interested to hear from persons who have successfully 
>applied this kind of connectivity to modeling software, even if 
>it did not involve the specific programs cited.  What X-term 
>software is best?  (We currently are looking at PC-Xware from NCD 
>and XoftWare from Age).  What problems did you encounter?

The most common response was to put LINUX on the PCs and use
Xfree86.  Fred Arnold ([email-masked]), Kris Boulez 
([email-masked]), Carlo Nervi ([email-masked]), 
Susan Jackels ([email-masked]), Carl David ([email-masked]),
and Konrad Hinsen ([email-masked]) suggested this option, and
Konrad was good enough to summarize the best points of LINUX:

- Cost. Linux is free and doesn't demand huge resources.
- Flexibility. A Linux system is an independent (if not very powerful)
  workstation, which is sufficient for the needs of many students.
  So we could reduce the number of users on the "big" stations, and
  offer accounts to more students.
- Administration. There is no shortage of graduate students who
  Linux very well (from running it on their own machines athome).
  So system administration was not a problem, after the initial
  installation.
- Independence. A Linux system contains its own complete set of
  X software with fonts etc., whereas an X terminal may need an
  external font server, thereby increasing network load and
  creating a dependence on a specific machine (we often had network
  problem that could cut off some machine from the local Ethernet).

This is the solution I will employ for access from my own
PC, where I have a half gig LINUX partition installed.  However, the
PC cluster is also used by large numbers of people running Windows 
apps, and so this is not a solution for student access.  Also many
of our faculty are Mac users.

The next most frequent suggestion was eXceed, from Hummingbird software
(http://www.hcl.com/HOWTO.HTML).  Positive experiences were reported
by Fred Arnold (address above); Tom Pierce ([email-masked]),
who used it specifically to access SPARTAN and MacroModel; and Ned
Martin ([email-masked]), accessing SPARTAN.  eXceed also was
mentioned in a very helpful summary from the CUR list provided by
Mark Timken ([email-masked]).  I have ordered a trial
copy.

MacX was the only software mentioned for Macintoshes, with positive
experiences reported by Stephen Bowlus ([email-masked]), Per
Arvidsson ([email-masked]), Dave Young
([email-masked]), and Craig Burkhart
([email-masked]).  We have some small experience with MacX
ourselves, and find it usable, although a bit clunky.

Other clients receiving some comment were XVision 6.0, used by
Andrey Bliznyuk ([email-masked]) to access SPARTAN, 
but found poor by Tom Pierce (address above); ReflectionX 
(Stephen Bowlus; address above); the X-win32 shareware client
suggested by Carlo Nervi, which Jim Macmillan
([email-masked]) found of poor quality.  

>From an ad in BYTE, I had learned of XoftWare for Windows, from AGE
Logic, Inc. ([email-masked]).  Katie Breen was particularly helpful
in faxing me a copy of the sales brochure.  Xoftware comes in
versions for both PC and Mac; Craig Martens ([email-masked]) has a
positive experience with the Mac version.  We will order trial
copies.  Similarly, we learned of PC Xware, from NCD, Inc.
([email-masked]; http://www.ncd.com); no one seems to have had
experience with this software, but from its literature it appears to
be an especially robust application.  It does not come in a Mac
version, and is pricier than Xoftware.

Several individuals suggested that accessing SPARTAN and other
programs from more than 3-4 clients produced an unacceptable
slowdown; Jim Macmillan suggested that the servers should be on
their own branch of the local network to avoid untowrd effects on
other users.  Several respondants also reminded me that
Wavefunction, supplier of SPARTAN, requires a $200 license for each
client that accesses SPARTAN over a network.  This charge is
unfortunate; we will probably have to acquire licenses over several
years to reach our full intended capacity.

My thanks to all who responded, and apologies if I have
inadvertantly omitted anyone's contribution.  I will file a report
later on our experiences with examination copies.

Professor Ray Fort, Jr.             Voice:   (207)-581-1180
Department of Chemistry             FAX:     (207)-581-1191
University of Maine                 E-mail:  [email-masked]
Orono ME 04469                               [email-masked]
	 Computational organic chemistry, especially on wood-
		       and paper-related problems
		       
-----------------------------------------------------------------------------

dear dr. zheng,
i am interested in the response you get regarding the question you posted
on ccl - package(s) convert window-pc to unix x-terminal. please send me
a copy of your summary on this issue. many thanks!!              chen

Yes, there are two solutions:

1) buy a very expensive and crashing X-emulator for MS-Windows

2) forget about MS-windows and install Linux with full X-windows (free)

Hm. both solutions don't seem very good.
Greetings,
Frits

Frits Daalmans
OIO Conformational Analysis
Gorlaeus Laboratoria
Leiden, The Netherlands
E-mail: [email-masked]
Tel: [+31] (0)71-5274505

-------------------------------------------------------------------------------------
Hi Xiaoming,

 Xwin works very well for that purpose, and there is demo version of it in 
the net you can download.  I don't have the URL handy, you can find
it through net search.

 Lin
 [email-masked]
----------------------------------------------------------------------------